fullnameOverride: ""
namespace:
instanceName: nodejs
container:
  command:

env:
#  from:
#    - configMapRef:
#        name: special-config
  value: []
#    - name: VAR_NAME
#      value: "var value"

secretFileMounts: []
#  - name: secret-name
#    mounts:
#      - fileDirectory: /some/directory
#        fileName: somefile.txt

fileMounts: []
#  - volumeName: volume-name
#    configMap: configmap-name
#    mounts:
#      - name: mount-name
#        fileDirectory: /some/directory
#        fileName: somefile.txt

#annotations:
#  iam.amazonaws.com/role: "role-name"

image:
  # The complete image name including the tag. Should not be used in conjunction with `repository` and `tag`
  image:
  repository: docker.io/node
  tag: latest
  # Should be "Never" for local development
  pullPolicy: IfNotPresent

imagePullSecrets: []
#  - name: secret-name

autoscaling:
  enabled: true
  metrics:
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: 60
  replicas:
    min: 1
    max: 20
  resources:
    requests:
      cpu: 50m
      memory: 50Mi
    limits:
      cpu: 500m
      memory: 100Mi

probes:
  enabled: false
  liveness: {}
#    httpGet:
#      path: /healthz
#      port: http
#    failureThreshold: 1
#    periodSeconds: 10
#    initialDelaySeconds: 1
  readiness: {}
#    httpGet:
#      path: /healthz
#      port: http
#    failureThreshold: 3
#    periodSeconds: 10
#    initialDelaySeconds: 1
  startup: {}
#    httpGet:
#      path: /healthz
#      port: http
#    failureThreshold: 10
#    periodSeconds: 3
#    initialDelaySeconds: 1

service:
  type: NodePort
  # exe: 1.1.0
  canary:
  # exe: api
  canaryReplicas: 1
  prefix:
  # exe: v1
  version:
  # exe: example.com
  domain:
  paths: []
#    - "/aws-sns/"
  pathPrefixes: []
  docs:
    prefix: "/docs"
    path: "/example"
  externalIPs: []

traefik:
  enabled: false
  certResolver:

rbac:
  enabled: false
